      module mathprms

      integer, parameter :: dp=kind(1.d0)
      integer, parameter :: qp=selected_real_kind(32,99)

      real(dp), parameter :: zero=0.d0,one=1.d0,
     &                       pi=3.141592653589793238d0,
     &                       twopi=2.d0*pi,
     &                       sqrt2=1.414213562373095d0

      complex(dp), parameter :: ocom=(0.d0,0.d0),
     &                          icom=(0.d0,1.d0),
     &                          onec=(1.d0,0.d0)

      complex(dp), dimension(2), parameter :: oned=(/onec,onec/)

      end module mathprms
