      subroutine logo(u)

      use inprms
      use drivekk
      use partcls
      use couplsmkk
      use topan
      use clrinf

      implicit none

      integer :: u,i,j
      character(20) :: ind

      write(u,4000)
c      write(u,2000)
      write(u,5000)
      write(u,2000)
      if (ihad == 1) then
       write(u,'(a$)') '#                 p p~  ->  '
      else if (ihad == 2) then
       write(u,'(a$)') '#                  p p  ->  '
      else
       write(u,'(a$)') '#                       '
      end if
      do i=1,nisp
       write(u,'(a$)') trim(expc(i))//' '
      end do
      write(u,'(a$)') ' ->  '
      do i=nisp+1,nepl-1
       write(u,'(a$)') trim(expc(i))//' '
      end do
      write(u,'(a)') trim(expc(nepl))

      write(u,2000)
      write(u,5010) trim(adjustl(prvrsn))//', by'
      write(u,2000)
      write(u,5020)
      write(u,5030)
      write(u,5040)
      write(u,5050)
      write(u,2000)
      write(ind,'(i10)') ndgs
      write(u,'(a)')'# '//trim(adjustl(ind))//' Feynman diagrams'//
     & ' in the unitary gauge were generated'
      write(ind,'(i10)') iclrx
      write(u,'(a)')'# '//trim(adjustl(ind))//' different colour'//
     & ' factors are used'

c      write(u,2000)
      write(u,4000)

 2000 format('#')
 2005 format(' ')
 4000 format('#=======================================================',
     &       '======================#')
 5000 format('# The process:')
 5010 format('# computed with ',a)
 5020 format('#                            Karol Kolodziej')
 5030 format('#                         University of Silesia')
 5040 format('#                            Katowice, Poland')
 5050 format('#                   e-mail: karol.kolodziej@us.edu.pl')

      if (ihad > 0) then
       if (ipdf == 1) then
        write(u,'(a,$)') '# '//
     &              prefix(index(prefix,'mstw2008'):len_trim(prefix))
        write(u,'(a,i2,a)') 
     &     ' partons are used, iset =',iset,','
       else if (ipdf == 2) then
        if (iset == 1) then
         write(u,'(a)') 
     &     '# CTEQ6M partons are used (Standard MSbar scheme)'
        else if (iset == 2) then
         write(u,'(a)') 
     &     '# CTEQ6D partons are used (Standard DIS scheme)'
        else if (iset == 3) then
         write(u,'(a)') '# CTEQ6L partons are used '//
     &      '(Leading Order, Alpha_s(Mz)=0.118)'
        else if (iset == 4) then
         write(u,'(a)') '# CTEQ6L1 partons are used '//
     &      '(Leading Order, Alpha_s(Mz)=0.130)'
        end if
       end if
       write(u,'(a$)') '# at the scale Q ='
       if (iscl == 1) then
        write(u,'(f4.1,a)') sclf,'*sqrt(s'')'
       else if (iscl == 2) then
        write(u,'(e12.5)') sclf
       else if (iscl == 3) then
        write(u,'(f4.1,a)') sclf,'*sqrt(mt^2+sum of ptj^2)'
       end if
       write(u,'(a)')'#'
      end if
      if (ischeme == 1) then
        write(u,2095)
 2095   format('# Complex mass scheme')
        write(u,5029) csw2
 5029   format('# with sw2 = (',f18.15,',',f18.15,')')
      else
        write(u,2098) sw2
 2098   format('# Fixed width scheme with real sw2, sw2 =', f18.15)
      end if

      write(u,5035) ialphw
 5035 format('# alpha_W kept real, 1/alpha_W = ',f19.15)

      write(u,2000)

      write(u,'(a$)')'# EW couplings parametrized in ters of '
      if (ialpha == 0) then
       write(u,'(a,f14.8)')'alpha in the Thomson limit, 1/alpha_0 =',
     &                     ialph0
      else if (ialpha == 1) then
       write(u,'(a,f14.8)')'alpha_W, 1/alpha_W =',ialphw
      else if (ialpha == 2) then
       write(u,'(a,f14.8)')'alphao, 1/alphao =',ialpho
      end if
      write(u,2000)

      write(u,2120)
 2120 format('# Gauge boson masses and widths:',
     &           ' W, Gm_W, Z, Gm_Z')
      write(u,1002) mw,gamw,mz,gamz
 1002 format('# ',4(f12.5))
c      write(u,2121) gamwsm0
c 2121 format('# W boson width to the lowest order of SM:',f22.16)
      write(u,2000)

      write(u,2122)
 2122 format('# Higgs boson mass and width: H, Gm_H')
      write(u,2002) mh,gamh
 2002 format('# ',2(e15.5))

      write(u,2000)

      write(u,1003) ialph0,alphas,gmu
 1003 format('# 1/alpha0 = ',f11.7,'   alphas(m_Z) = ',f10.7,
     &       '   G_mu = ',e13.6)

      write(u,2000)

      write(u,2100)
 2100 format('# External particle masses:')
      do j=1,nepl
       write(u,2102) trim(expc(j)),m(j)
 2102  format('#  m(',a,') =',e15.8)
      end do
      write(u,2000)

      if (iwtb == 1) then
       write(u,'(a)')'# CP even anomalous Wtb coupling, see K. Kolo'
     &             //'dziej PLB 584(2004)89,' 
       write(u,'(a)')'# hep-ph/0312168, Eqs. (4),(5) and (6) with'
       write(u,'(a,f7.4,a,f7.4,a,f7.4,a,f7.4,a,f7.4)') '# f1+ =',f1p,
     &         ' f1- =',f1m,' f2+ =',f2p,' f2- =',f2m
       write(u,'(a,f7.4,a,f7.4,a,f7.4,a,f7.4,a,f7.4)') '# f1b+ =',f1p,
     &         ' f1b- =',f1m,' f2b+ =',f2m,' f2b- =',f2p
       write(u,2000)
      else if (iwtb == 2) then
       write(u,'(a)')'# CP odd anomalous Wtb coupling, see K. Kolo'
     &             //'dziej PLB 584(2004)89,' 
       write(u,'(a)')'# hep-ph/0312168, Eqs. (4) and (5) with'
       write(u,'(a,f7.4,a,f7.4,a,f7.4,a,f7.4,a,f7.4)') '# f1+  =',f1p,
     &         ' f1-  =',f1m,' f2+  =',f2p,' f2-  =',f2m
       write(u,'(a,f7.4,a,f7.4,a,f7.4,a,f7.4,a,f7.4)') '# f1b+ =',f1bp,
     &         ' f1b- =',f1bm,' f2b+ =',f2bp,' f2b- =',f2bm
       write(u,2000)
      end if

      if (iwtb == 2) then
       write(u,'(a)')'# t-quark mass, t width and anti-t width:'
       write(u,'(a,f10.2,f12.5,f13.5)') '#',mt,gamt,gmtb
      else
       write(u,2110)
 2110  format('# t-quark mass and width:')
       write(u,1020) mt,gamt
 1020  format('#',f10.2,f12.5)
      end if

      write(u,2000)

      if (ihtt == 1) then
       write(u,'(a)') '# Anomalous Htt coupling included, see J.A. '//
     & 'Aguilar-Saavedra, NPB821 (2009) 215,'
       write(u,'(a,f7.4,a,f7.4)') '# httv =',httv,' htta =',htta
       write(u,2000)
      end if

      if (convc/0.389d-3 > 1.d18) then
       write(u,'(a,e16.9)') '# All cross sections in attobarns (ab),'
     &                    //' convc =',convc
      else if (convc/0.389d-3 > 1.d15) then
       write(u,'(a,e16.9)') '# All cross sections in femtobarns (fb),'
     &                    //' convc =',convc
      else if (convc/0.389d-3 > 1.d12) then
       write(u,'(a,e16.9)') '# All cross sections in pikobarns (pb), '//
     &                      'convc =',convc
      else if (convc/0.389d-3 > 1.d9) then
       write(u,'(a,e16.9)') '# All cross sections in nanobarns (nb), '//
     &                      'convc =',convc
      else if (convc/0.389d-3 > 1.d6) then
       write(u,'(a,e16.9)') '# All cross sections in microobarns (mub),'
     &                    //' convc =',convc
      else if (convc/0.389d-3 > 1.d3) then
       write(u,'(a,e16.9)') '# All cross sections in milibarns (mb), '//
     &                      'convc =',convc
      end if

      if (nmcs > 0) then
       write(u,'(a)') '# Monte Carlo summing over helicities of '//
     &                'external prticles'
      end if
      write(u,'(a,i4,a)') '# Propagators of subsystems with up to',
     &                     mxmap,' particles are mapped.'
      if (ickm == 1) then
       write(u,'(a)') '# Cabibbo-Kobayashi-Maskawa mixing included'
      end if
      if (iewk == 1) then
       write(u,'(a)') '# Pure electroweak contributions'
      end if
      if (ihgs == 1) then
       write(u,'(a)') '# Higgs boson contributions discarded'
      end if
      write(u,2000)

      end
